Customer CDP
Fulfill a membership benefit receipt
Requires contacts:write, Customer CDP, Membership and a current administrator. The event key is replay-safe and fulfillment does not debit the benefit twice.
POST
/
api
/
v2
/
accounts
/
{accountId}
/
cdp
/
membership
/
members
/
{membershipId}
/
receipts
/
{receiptId}
/
fulfill
Fulfill a membership benefit receipt
curl --request POST \
--url https://app.huechat.ai/api/v2/accounts/{accountId}/cdp/membership/members/{membershipId}/receipts/{receiptId}/fulfill \
--header 'Content-Type: application/json' \
--data '
{
"event_key": "pos-redemption-5512",
"reason": "Benefit fulfilled at Riyadh branch",
"version": 1
}
'import requests
url = "https://app.huechat.ai/api/v2/accounts/{accountId}/cdp/membership/members/{membershipId}/receipts/{receiptId}/fulfill"
payload = {
"event_key": "pos-redemption-5512",
"reason": "Benefit fulfilled at Riyadh branch",
"version": 1
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
event_key: 'pos-redemption-5512',
reason: 'Benefit fulfilled at Riyadh branch',
version: 1
})
};
fetch('https://app.huechat.ai/api/v2/accounts/{accountId}/cdp/membership/members/{membershipId}/receipts/{receiptId}/fulfill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}{
"code": "plan_disabled",
"error": "Record not found or unavailable",
"feature": "customer_cdp"
}Path Parameters
HueChat account ID
Membership UUID
Benefit receipt UUID
Body
application/json
Fulfillment evidence
Response
OK
The response is of type object.
⌘I
Fulfill a membership benefit receipt

